> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the current Member



## OpenAPI

````yaml /uapi.yaml put /members/current
openapi: 3.1.0
info:
  version: 0.0.1
  title: User management API
  description: This API is for managing organization members and builders for the Sutro API
servers: []
security: []
tags:
  - name: configuration
    description: Configuration of the platform for your members and builders
  - name: members
    description: >-
      Members are the individuals that a Customer wants to provide with access
      to the Sutro Console
  - name: builders
    description: >-
      Builders are a Customer's users; they are the ones who are building apps
      with a Customer's platform
  - name: certificates
    description: >-
      Certificates are use for signing & verifying access tokens, as well as for
      securing mTLS connections
  - name: api_clients
    description: API Clients must be registered and associated with an mTLS certificate
paths:
  /members/current:
    put:
      tags:
        - members
      summary: Update the current Member
      operationId: updateCurrentMember
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                fullName:
                  type: string
                  minLength: 1
                role:
                  type: string
                  minLength: 1
      responses:
        '200':
          description: The updated Member
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Member'
components:
  schemas:
    Member:
      type: object
      required:
        - id
        - username
        - email
        - customerId
        - fullName
        - role
        - onboardingCompleted
      properties:
        id:
          type: string
          format: uuid
        username:
          type: string
        email:
          type: string
          format: email
        customerId:
          type: string
          format: uuid
        fullName:
          type: string
        role:
          type: string
        onboardingCompleted:
          type: boolean

````